SAXParserImpl.JAXPSAXParser (Xerces2 Implementation)
Date: 2018-10-16

org.apache.xerces.jaxp

## Class SAXParserImpl.JAXPSAXParser

- java.lang.Object
- - org.apache.xerces.parsers.XMLParser
  - - org.apache.xerces.parsers.AbstractXMLDocumentParser
    - - org.apache.xerces.parsers.AbstractSAXParser
      - - org.apache.xerces.parsers.SAXParser
        - - org.apache.xerces.jaxp.SAXParserImpl.JAXPSAXParser

- All Implemented Interfaces:
    org.apache.xerces.xni.XMLDocumentHandler, org.apache.xerces.xni.XMLDTDContentModelHandler, org.apache.xerces.xni.XMLDTDHandler, org.apache.xerces.xs.PSVIProvider, org.xml.sax.Parser, org.xml.sax.XMLReader
  Enclosing class:
    SAXParserImpl

      public static class SAXParserImpl.JAXPSAXParser
      extends SAXParser

  Extension of SAXParser. This class tracks changes to features and properties to allow the parser to be reset to its initial state.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.xerces.parsers.AbstractSAXParser

      `AbstractSAXParser.AttributesProxy, AbstractSAXParser.LocatorProxy`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.parsers.SAXParser

      `NOTIFY_BUILTIN_REFS, SYMBOL_TABLE, XMLGRAMMAR_POOL`

    - ### Fields inherited from class org.apache.xerces.parsers.AbstractSAXParser

      `ALLOW_UE_AND_NOTATION_EVENTS, DECLARATION_HANDLER, DOM_NODE, fContentHandler, fDeclaredAttrs, fDeclHandler, fDocumentHandler, fDTDHandler, fLexicalHandler, fLexicalHandlerParameterEntities, fNamespaceContext, fNamespacePrefixes, fNamespaces, fParseInProgress, fQName, fResolveDTDURIs, fStandalone, fUseEntityResolver2, fVersion, fXMLNSURIs, LEXICAL_HANDLER, NAMESPACES, STRING_INTERNING`

    - ### Fields inherited from class org.apache.xerces.parsers.AbstractXMLDocumentParser

      `fDocumentSource, fDTDContentModelSource, fDTDSource, fInDTD`

    - ### Fields inherited from class org.apache.xerces.parsers.XMLParser

      `ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

    - ### Fields inherited from interface org.apache.xerces.xni.XMLDTDHandler

      `CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

    - ### Fields inherited from interface org.apache.xerces.xni.XMLDTDContentModelHandler

      `OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAXPSAXParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getFeature(java.lang.String name)` Query the state of a feature.
    `java.lang.Object` | `getProperty(java.lang.String name)` Query the value of a property.
    `void` | `parse(org.xml.sax.InputSource inputSource)` parse
    `void` | `parse(java.lang.String systemId)` Parses the input source specified by the given system identifier.
    `void` | `setFeature(java.lang.String name, boolean value)` Override SAXParser's setFeature method to track the initial state of features.
    `void` | `setProperty(java.lang.String name, java.lang.Object value)` Override SAXParser's setProperty method to track the initial state of properties.

    - ### Methods inherited from class org.apache.xerces.parsers.AbstractSAXParser

      `attributeDecl, characters, comment, doctypeDecl, elementDecl, endCDATA, endDocument, endDTD, endElement, endExternalSubset, endGeneralEntity, endNamespaceMapping, endParameterEntity, externalEntityDecl, getAttributePSVI, getAttributePSVIByName, getContentHandler, getDeclHandler, getDTDHandler, getElementPSVI, getEntityResolver, getErrorHandler, getLexicalHandler, ignorableWhitespace, internalEntityDecl, notationDecl, processingInstruction, reset, setContentHandler, setDeclHandler, setDocumentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setLexicalHandler, setLocale, startCDATA, startDocument, startElement, startExternalSubset, startGeneralEntity, startNamespaceMapping, startParameterEntity, unparsedEntityDecl, xmlDecl`

    - ### Methods inherited from class org.apache.xerces.parsers.AbstractXMLDocumentParser

      `any, element, empty, emptyElement, endAttlist, endConditional, endContentModel, endGroup, getDocumentSource, getDTDContentModelSource, getDTDSource, ignoredCharacters, occurrence, pcdata, separator, setDocumentSource, setDTDContentModelSource, setDTDSource, startAttlist, startConditional, startContentModel, startDTD, startGroup, textDecl`

    - ### Methods inherited from class org.apache.xerces.parsers.XMLParser

      `parse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JAXPSAXParser

          public JAXPSAXParser()

  - ### Method Detail

    - #### setFeature

          public void setFeature(java.lang.String name,
                                 boolean value)
                          throws org.xml.sax.SAXNotRecognizedException,
                                 org.xml.sax.SAXNotSupportedException

      Override SAXParser's setFeature method to track the initial state of features. This keeps us from affecting the performance of the SAXParser when it is created with XMLReaderFactory.
      Specified by:
        `setFeature` in interface `org.xml.sax.XMLReader`
      Overrides:
        `setFeature` in class `AbstractSAXParser`
      Parameters:
        `name` - The unique identifier (URI) of the feature.
        `value` - The requested state of the feature (true or false).
      Throws:
        `org.xml.sax.SAXNotRecognizedException` - If the requested feature is not known.
        `org.xml.sax.SAXNotSupportedException` - If the requested feature is known, but the requested state is not supported.
      See Also:
        `XMLReader.getFeature(java.lang.String)`

    - #### getFeature

          public boolean getFeature(java.lang.String name)
                             throws org.xml.sax.SAXNotRecognizedException,
                                    org.xml.sax.SAXNotSupportedException

      Description copied from class: `AbstractSAXParser`
      Query the state of a feature. Query the current state of any feature in a SAX2 parser. The parser might not recognize the feature.
      Specified by:
        `getFeature` in interface `org.xml.sax.XMLReader`
      Overrides:
        `getFeature` in class `AbstractSAXParser`
      Parameters:
        `name` - The unique identifier (URI) of the feature being set.
      Returns:
        The current state of the feature.
      Throws:
        `org.xml.sax.SAXNotRecognizedException` - If the feature value can't be assigned or retrieved.
        `org.xml.sax.SAXNotSupportedException` - If the requested feature is known but not supported.
      See Also:
        `XMLReader.setFeature(java.lang.String, boolean)`

    - #### setProperty

          public void setProperty(java.lang.String name,
                                  java.lang.Object value)
                           throws org.xml.sax.SAXNotRecognizedException,
                                  org.xml.sax.SAXNotSupportedException

      Override SAXParser's setProperty method to track the initial state of properties. This keeps us from affecting the performance of the SAXParser when it is created with XMLReaderFactory.
      Specified by:
        `setProperty` in interface `org.xml.sax.XMLReader`
      Overrides:
        `setProperty` in class `AbstractSAXParser`
      Parameters:
        `name` - The unique identifier (URI) of the property being set.
        `value` - The value to which the property is being set.
      Throws:
        `org.xml.sax.SAXNotRecognizedException` - If the requested property is not known.
        `org.xml.sax.SAXNotSupportedException` - If the requested property is known, but the requested value is not supported.

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String name)
                                       throws org.xml.sax.SAXNotRecognizedException,
                                              org.xml.sax.SAXNotSupportedException

      Description copied from class: `AbstractSAXParser`
      Query the value of a property. Return the current value of a property in a SAX2 parser. The parser might not recognize the property.
      Specified by:
        `getProperty` in interface `org.xml.sax.XMLReader`
      Overrides:
        `getProperty` in class `AbstractSAXParser`
      Parameters:
        `name` - The unique identifier (URI) of the property being set.
      Returns:
        The current value of the property.
      Throws:
        `org.xml.sax.SAXNotRecognizedException` - If the property value can't be assigned or retrieved.
        `org.xml.sax.SAXNotSupportedException` - If the requested property is known but not supported.
      See Also:
        `XMLReader.setProperty(java.lang.String, java.lang.Object)`

    - #### parse

          public void parse(org.xml.sax.InputSource inputSource)
                     throws org.xml.sax.SAXException,
                            java.io.IOException

      Description copied from class: `AbstractSAXParser`
      parse
      Specified by:
        `parse` in interface `org.xml.sax.Parser`
      Specified by:
        `parse` in interface `org.xml.sax.XMLReader`
      Overrides:
        `parse` in class `AbstractSAXParser`
      Parameters:
        `inputSource` - The input source for the top-level of the XML document.
      Throws:
        `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
        `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
      See Also:
        `InputSource`, `Parser.parse(java.lang.String)`, `Parser.setEntityResolver(org.xml.sax.EntityResolver)`, `Parser.setDTDHandler(org.xml.sax.DTDHandler)`, `Parser.setDocumentHandler(org.xml.sax.DocumentHandler)`, `Parser.setErrorHandler(org.xml.sax.ErrorHandler)`

    - #### parse

          public void parse(java.lang.String systemId)
                     throws org.xml.sax.SAXException,
                            java.io.IOException

      Description copied from class: `AbstractSAXParser`
      Parses the input source specified by the given system identifier.

      This method is equivalent to the following:

               parse(new InputSource(systemId));

      Specified by:
        `parse` in interface `org.xml.sax.Parser`
      Specified by:
        `parse` in interface `org.xml.sax.XMLReader`
      Overrides:
        `parse` in class `AbstractSAXParser`
      Parameters:
        `systemId` - The system identifier (URI).
      Throws:
        `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
        `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
      See Also:
        `Parser.parse(org.xml.sax.InputSource)`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.